# Managing Project

## New Project

To create a modeling project, press `Ctrl+N` or select **File | New**.

## New Project from Template

You can start a modeling project by selecting a template. To start a project with a template, select **File | New From Template | \[TemplateName]**. StarUML supports 4 default templates:

* **UMLMinimal** - A single model with UML Standard Profile.
* **UMLConventional** - Use Case Model, Analysis Model, Design Model, Implementation Model, and Deployment Model with UML Standard Profile.
* **4+1 View Model** - Pilippe Kruchten's [4+1 Architectural View Model](http://en.wikipedia.org/wiki/4%2B1_architectural_view_model).
* **Rational** : Approach of Rational Rose Tool.
* **Data Model** : A simple data modeling project.

If you don't want to use pre-defined templates, you need to make your own project structure.

## Open Project

If you have model files (`.mdj`), you can open it in StarUML. To open a model file, press `Ctrl+O` or select **File | Open...** and then select a file in **Open Dialog**.

## Open StarUML V1 File

If you have StarUML V1 model files (`.uml`), you can import by selecting **File | Import | StarUML 1 File (.uml)...**.

## Save Project

You can save the working project into a file by pressing `Ctrl+S` or selecting **File | Save**. If you want to save as another file, press `Ctrl+Shift+S` or select **File | Save As...**.

## Close Project

To close working project, select **File | Close**. If you didn't saved the project, you will be asked to save or not.

## Export Fragment

To export a part of the project as a fragment, select **File | Export | Fragment...** and then select an element to export in **Element Picker Dialog**.

## Import Fragment

To import a fragment into the project, select **File | Import | Fragment...**. The fragment will be included as a child of the project.

## Applying Profiles

To include UML Standard Profile, select **Model | Apply Profile | UML Standard Profile (v2)** in Menu Bar.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.staruml.io/v3/user-guide/managing-project.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
